
QGIS Application - Bug report #21485

Polygon layer dissapears if doesn't fit into screen

2019-03-05 06:52 PM - Alexey T

Status: Closed

Priority: Normal

Assignee:

Category: Geometry

Affected QGIS version:3.6.0 Regression?: No

Operating System: win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 29302

Description

I have a layer with glaciers.

When zooming in or moving canvas, features that doesn't fit into canvas disappear.

See this video

https://yadi.sk/d/tbz9AXs8dIoIHg

Sample data

https://yadi.sk/d/OM2pYldgqi0MEQ

History

#1 - 2019-03-05 06:56 PM - Alexey T

Not every feature but some of them.

#2 - 2019-03-06 10:13 AM - Giovanni Manghi

- Status changed from Open to Feedback

Disappearing feature appear to have geometry errors. Process your layer with the tool "fix geometries" and they will show ok.

#3 - 2019-03-06 10:58 AM - Alexey T

Thnak you. This fixed everything.

#4 - 2019-03-06 10:59 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed
